From 2665d7cb04ae6e076e5b2d9e10f88e88f5de4620 Mon Sep 17 00:00:00 2001
From: Jean-Baptiste Keck <Jean-Baptiste.Keck@imag.fr>
Date: Tue, 21 Apr 2020 10:56:29 +0200
Subject: [PATCH] reenable examples for ci

---
 ci/scripts/build.sh           | 2 +-
 ci/scripts/build_and_debug.sh | 2 +-
 ci/scripts/build_and_test.sh  | 2 +-
 ci/scripts/config.sh          | 2 +-
 ci/scripts/install.sh         | 2 +-
 ci/scripts/test.sh            | 4 ++--
 ci/scripts/version.sh         | 2 +-
 7 files changed, 8 insertions(+), 8 deletions(-)

diff --git a/ci/scripts/build.sh b/ci/scripts/build.sh
index 763cde2f4..22fb87ba6 100755
--- a/ci/scripts/build.sh
+++ b/ci/scripts/build.sh
@@ -1,5 +1,5 @@
 #!/bin/bash
-set -feux -o pipefail
+set -feu -o pipefail
 
 if [ $# -ne 4 ]; then
     echo "Usage ./build build_folder CC CXX FC"
diff --git a/ci/scripts/build_and_debug.sh b/ci/scripts/build_and_debug.sh
index 69f32d8e8..39dac1707 100755
--- a/ci/scripts/build_and_debug.sh
+++ b/ci/scripts/build_and_debug.sh
@@ -1,5 +1,5 @@
 #!/usr/bin/env bash
-set -feux -o pipefail
+set -feu -o pipefail
 
 # /hysop should be mounted as read only by run_tests_in_docker.sh
 if [[ ! -d '/hysop' ]]; then
diff --git a/ci/scripts/build_and_test.sh b/ci/scripts/build_and_test.sh
index 112ad23b3..3bd1f54a7 100755
--- a/ci/scripts/build_and_test.sh
+++ b/ci/scripts/build_and_test.sh
@@ -1,5 +1,5 @@
 #!/usr/bin/env bash
-set -feux -o pipefail
+set -feu -o pipefail
 
 # /hysop should be mounted as read only by run_tests_in_docker.sh
 if [[ ! -d '/hysop' ]]; then
diff --git a/ci/scripts/config.sh b/ci/scripts/config.sh
index 654212515..7343b5172 100755
--- a/ci/scripts/config.sh
+++ b/ci/scripts/config.sh
@@ -1,5 +1,5 @@
 #!/bin/bash
-set -feux -o pipefail
+set -feu -o pipefail
 
 if [ $# -ne 5 ]; then
     echo "Usage ./config build_folder install_folder CC CXX FC"
diff --git a/ci/scripts/install.sh b/ci/scripts/install.sh
index 076de1eea..ca04e7e69 100755
--- a/ci/scripts/install.sh
+++ b/ci/scripts/install.sh
@@ -1,5 +1,5 @@
 #!/bin/bash
-set -feux -o pipefail
+set -feu -o pipefail
 
 if [ $# -ne 2 ]; then
     echo "Usage ./install build_folder install_folder"
diff --git a/ci/scripts/test.sh b/ci/scripts/test.sh
index e76aa5a68..780e47092 100755
--- a/ci/scripts/test.sh
+++ b/ci/scripts/test.sh
@@ -1,5 +1,5 @@
 #!/bin/bash
-set -feux -o pipefail
+set -feu -o pipefail
 
 PYTHON_EXECUTABLE=${PYTHON_EXECUTABLE:-python2.7}
 
@@ -87,7 +87,7 @@ echo "Default testing OpenCL platform is:"
 ${PYTHON_EXECUTABLE} -c 'import hysop; from hysop.testsenv import iter_clenv; print next(iter(iter_clenv()));'
 
 RUN_TESTS=${RUN_TESTS:-true}
-RUN_EXAMPLES=${RUN_EXAMPLES:-false}
+RUN_EXAMPLES=${RUN_EXAMPLES:-true}
 RUN_LONG_TESTS=${RUN_LONG_TESTS:-false}
 
 COMMON_TEST_OPTIONS=''
diff --git a/ci/scripts/version.sh b/ci/scripts/version.sh
index 69b7fd968..b6bfb5687 100755
--- a/ci/scripts/version.sh
+++ b/ci/scripts/version.sh
@@ -1,5 +1,5 @@
 #!/bin/bash
-set -feux -o pipefail
+set -feu -o pipefail
 echo "HOST"
 uname -a
 echo
-- 
GitLab